searchNodes=[{"doc":"This module provides the main API to interface with Acme.","ref":"Acmex.html","title":"Acmex","type":"module"},{"doc":"","ref":"Acmex.html#child_spec/1","title":"Acmex.child_spec/1","type":"function"},{"doc":"Finalizes the order. Parameters order: The order resource with status &quot;pending&quot;. Examples iex&gt; Acmex.finalize_order(%Order{status: &quot;pending&quot;}) {:ok, %Order{status: &quot;processing&quot;}}","ref":"Acmex.html#finalize_order/2","title":"Acmex.finalize_order/2","type":"function"},{"doc":"Gets an existing account. An account will only be returned if the current private key has been used to create a new account. Examples iex&gt; Acmex.get_account() {:ok, %Account{...}}","ref":"Acmex.html#get_account/0","title":"Acmex.get_account/0","type":"function"},{"doc":"Gets the certificate. The format of the certificate is application/pem-certificate-chain. Parameters order: The order resource with status &quot;valid&quot;. Examples iex&gt; Acmex.get_certificate(%Order{status: &quot;valid&quot;}) {:ok, &quot;-----BEGIN CERTIFICATE-----...&quot;}","ref":"Acmex.html#get_certificate/1","title":"Acmex.get_certificate/1","type":"function"},{"doc":"Gets an existing challenge. Parameters url: The url attribute of the challenge resource. Examples iex&gt; Acmex.get_challenge(%Challenge{...}.url) {:ok, %Challenge{...}}","ref":"Acmex.html#get_challenge/1","title":"Acmex.get_challenge/1","type":"function"},{"doc":"Gets the challenge response. Parameters challenge: The challenge resource. Examples iex&gt; Acmex.get_challenge_response(%Challenge{token: &quot;bZxymov025OYA4DkGSI5XPKdAW9V93eKoDZZ56AC3cI&quot;, type: &quot;dns-01&quot;}) {:ok, %{ key_authorization: &quot;AgemQZ-WIft7VwWljRb3l_nkyigEILfRzzx5E6HdFyY&quot;, record_name: &quot;_acme-challenge&quot;, record_type: &quot;TXT&quot; }} iex&gt; Acmex.get_challenge_response(%Challenge{token: &quot;oR3Xwj4GgXIxUtKMUfmVf4hmRFehAIgSsg7oXD_PCEw&quot;, type: &quot;http-01&quot;}) {:ok, %{ content_type: &quot;text/plain&quot;, filename: &quot;.well-known/acme-challenge/oR3Xwj4GgXIxUtKMUfmVf4hmRFehAIgSsg7oXD_PCEw&quot;, key_authorization: &quot;oR3Xwj4GgXIxUtKMUfmVf4hmRFehAIgSsg7oXD_PCEw.5zmJUVWaucybUNJSLeCaO9D_cauS5QiwA92KTiY_vNc&quot; }}","ref":"Acmex.html#get_challenge_response/1","title":"Acmex.get_challenge_response/1","type":"function"},{"doc":"Gets an existing order. Parameters url: The url attribute of the order resource. Examples iex&gt; Acmex.get_order(%{Order}.url) {:ok, %Order{...}}","ref":"Acmex.html#get_order/1","title":"Acmex.get_order/1","type":"function"},{"doc":"Creates a new account. Parameters contact: A list of URLs that the ACME can use to contact the client for issues related to this account. tos: Terms Of Service Agreed indicates the client&#39;s agreement with the terms of service. Examples iex&gt; Acmex.new_account([&quot;mailto:info@example.com&quot;], true) {:ok, %Account{...}}","ref":"Acmex.html#new_account/2","title":"Acmex.new_account/2","type":"function"},{"doc":"Creates a new order. Parameters identifiers: A list of domains. Examples iex&gt; Acmex.new_order([&quot;example.com&quot;]) {:ok, %Order{...}}","ref":"Acmex.html#new_order/1","title":"Acmex.new_order/1","type":"function"},{"doc":"Revokes a certificate. Parameters certificate: The certificate to be revoked. reason: Optional revocation reason code. Examples iex&gt; Acmex.revoke_certificate(&quot;-----BEGIN CERTIFICATE-----...&quot;, 0) :ok","ref":"Acmex.html#revoke_certificate/2","title":"Acmex.revoke_certificate/2","type":"function"},{"doc":"Starts the client with a private key. If the private key path does not exists, the client will not start. Parameters keyfile: The path to an RSA key. name: Optional name for the Client. Examples iex&gt; Acmex.start_link(keyfile: &quot;test/support/fixture/account.key&quot;) {:ok, #PID&lt;...&gt;} iex&gt; Acmex.start_link(key: &quot;-----BEGIN RSA PRIVATE KEY-----...&quot;, name: :acmex_optional_name) {:ok, #PID&lt;...&gt;}","ref":"Acmex.html#start_link/1","title":"Acmex.start_link/1","type":"function"},{"doc":"Validates the challenge. Parameters challenge: The challenge resource. Examples iex&gt; Acmex.validate_challenge(%Challenge{...}) {:ok, %Challenge{...}}","ref":"Acmex.html#validate_challenge/1","title":"Acmex.validate_challenge/1","type":"function"},{"doc":"","ref":"Acmex.html#t:account_reply/0","title":"Acmex.account_reply/0","type":"type"},{"doc":"","ref":"Acmex.html#t:certificate_reply/0","title":"Acmex.certificate_reply/0","type":"type"},{"doc":"","ref":"Acmex.html#t:certificate_revocation_reply/0","title":"Acmex.certificate_revocation_reply/0","type":"type"},{"doc":"","ref":"Acmex.html#t:challenge_reply/0","title":"Acmex.challenge_reply/0","type":"type"},{"doc":"","ref":"Acmex.html#t:on_start_link/0","title":"Acmex.on_start_link/0","type":"type"},{"doc":"","ref":"Acmex.html#t:order_reply/0","title":"Acmex.order_reply/0","type":"type"},{"doc":"This module provides functions to generate a Private Key and Certificate Signing Request.","ref":"Acmex.OpenSSL.html","title":"Acmex.OpenSSL","type":"module"},{"doc":"Generates a Certificate Signing Request. Parameters key_path: Private key path. domains: List of domains. subject: Subject attributes. Examples iex&gt; subject = %{organization_name: &quot;Example&quot;} iex&gt; Acmex.OpenSSL.generate_csr(&quot;-----BEGIN RSA PRIVATE KEY-----...&quot;, [&quot;example.com&quot;], subject) {:ok, &lt;&lt;48, 130, 2, 91, 48, 1, ...&gt;&gt;}","ref":"Acmex.OpenSSL.html#generate_csr/3","title":"Acmex.OpenSSL.generate_csr/3","type":"function"},{"doc":"Generates a RSA private key. Parameters type: Private key type. size: Private key size. Examples iex&gt; Acmex.OpenSSL.generate_key(:rsa, 2048) &quot;-----BEGIN RSA PRIVATE KEY-----...&quot;","ref":"Acmex.OpenSSL.html#generate_key/2","title":"Acmex.OpenSSL.generate_key/2","type":"function"},{"doc":"","ref":"Acmex.OpenSSL.html#t:rsa_key_sizes/0","title":"Acmex.OpenSSL.rsa_key_sizes/0","type":"type"},{"doc":"This structure represents information about an account.","ref":"Acmex.Resource.Account.html","title":"Acmex.Resource.Account","type":"module"},{"doc":"","ref":"Acmex.Resource.Account.html#new/1","title":"Acmex.Resource.Account.new/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Account.html#t:t/0","title":"Acmex.Resource.Account.t/0","type":"type"},{"doc":"This structure represents an account authorization to act for an identifier.","ref":"Acmex.Resource.Authorization.html","title":"Acmex.Resource.Authorization","type":"module"},{"doc":"","ref":"Acmex.Resource.Authorization.html#dns/1","title":"Acmex.Resource.Authorization.dns/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Authorization.html#http/1","title":"Acmex.Resource.Authorization.http/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Authorization.html#new/1","title":"Acmex.Resource.Authorization.new/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Authorization.html#t:t/0","title":"Acmex.Resource.Authorization.t/0","type":"type"},{"doc":"This structure represents a challenge to prove control of an identifier.","ref":"Acmex.Resource.Challenge.html","title":"Acmex.Resource.Challenge","type":"module"},{"doc":"","ref":"Acmex.Resource.Challenge.html#get_key_authorization/2","title":"Acmex.Resource.Challenge.get_key_authorization/2","type":"function"},{"doc":"","ref":"Acmex.Resource.Challenge.html#get_response/2","title":"Acmex.Resource.Challenge.get_response/2","type":"function"},{"doc":"","ref":"Acmex.Resource.Challenge.html#new/1","title":"Acmex.Resource.Challenge.new/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Challenge.html#t:dns_response/0","title":"Acmex.Resource.Challenge.dns_response/0","type":"type"},{"doc":"","ref":"Acmex.Resource.Challenge.html#t:http_response/0","title":"Acmex.Resource.Challenge.http_response/0","type":"type"},{"doc":"","ref":"Acmex.Resource.Challenge.html#t:t/0","title":"Acmex.Resource.Challenge.t/0","type":"type"},{"doc":"This structure represents a directory.","ref":"Acmex.Resource.Directory.html","title":"Acmex.Resource.Directory","type":"module"},{"doc":"","ref":"Acmex.Resource.Directory.html#new/1","title":"Acmex.Resource.Directory.new/1","type":"function"},{"doc":"","ref":"Acmex.Resource.Directory.html#t:t/0","title":"Acmex.Resource.Directory.t/0","type":"type"},{"doc":"This structure represents a client request for a certificate.","ref":"Acmex.Resource.Order.html","title":"Acmex.Resource.Order","type":"module"},{"doc":"","ref":"Acmex.Resource.Order.html#new/2","title":"Acmex.Resource.Order.new/2","type":"function"},{"doc":"","ref":"Acmex.Resource.Order.html#t:t/0","title":"Acmex.Resource.Order.t/0","type":"type"}]